org.firebirdsql.gds

## Interface ServiceParameterBuffer

All Superinterfaces:
  ConnectionParameterBuffer, java.lang.Iterable<Parameter>, ParameterBuffer

All Known Implementing Classes:
  ServiceParameterBufferImp

    public interface ServiceParameterBuffer
    extends ConnectionParameterBuffer

Instance of this interface represents a Service Parameter Buffer from the Firebird API documentation and specifies the attributes for the Services API connection.

### Field Summary

Fields
`static int` `COMMAND_LINE`
`static int` `CONNECT_TIMEOUT`
`static int` `CURRENT_VERSION`
`static int` `DBNAME`
`static int` `DUMMY_PACKET_INTERVAL`
`static int` `OPTIONS`
`static int` `PASSWORD`
`static int` `PASSWORD_ENC`
`static int` `SQL_ROLE_NAME`
`static int` `SYS_USER_NAME`
`static int` `SYS_USER_NAME_ENC`
`static int` `USER_NAME`
`static int` `VERBOSE`
`static int` `VERSION`
`static int` `VERSION1`

### Method Summary

### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

`getDefaultEncoding, getTagMapping`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### VERSION

    static final int VERSION

See Also:
  Constant Field Values

#### VERSION1

    static final int VERSION1

See Also:
  Constant Field Values

#### CURRENT_VERSION

    static final int CURRENT_VERSION

See Also:
  Constant Field Values

#### USER_NAME

    static final int USER_NAME

See Also:
  Constant Field Values

#### SYS_USER_NAME

    static final int SYS_USER_NAME

See Also:
  Constant Field Values

#### SYS_USER_NAME_ENC

    static final int SYS_USER_NAME_ENC

See Also:
  Constant Field Values

#### PASSWORD

    static final int PASSWORD

See Also:
  Constant Field Values

#### PASSWORD_ENC

    static final int PASSWORD_ENC

See Also:
  Constant Field Values

#### COMMAND_LINE

    static final int COMMAND_LINE

See Also:
  Constant Field Values

#### DBNAME

    static final int DBNAME

See Also:
  Constant Field Values

#### VERBOSE

    static final int VERBOSE

See Also:
  Constant Field Values

#### OPTIONS

    static final int OPTIONS

See Also:
  Constant Field Values

#### CONNECT_TIMEOUT

    static final int CONNECT_TIMEOUT

See Also:
  Constant Field Values

#### DUMMY_PACKET_INTERVAL

    static final int DUMMY_PACKET_INTERVAL

See Also:
  Constant Field Values

#### SQL_ROLE_NAME

    static final int SQL_ROLE_NAME

See Also:
  Constant Field Values